'use strict'

var assert = require('assert')
var csvParse = require('csv-parse/lib/sync')
var TAP = require('../')

describe('TAP tests', function() {
  it('TAP query', function(done) {
    var tap = new TAP()

    tap
      .query({
        language: 'ADQL',
        queryString:
          "SELECT * FROM caom2.Observation WHERE observationID='f260h000'",
        format: 'CSV'
      })
      .then(function(results) {
        var csvItems = csvParse(results)
        assert.equal(typeof results, 'string', 'Wrong datatype for CSV')
        assert.equal(
          csvItems.length,
          2,
          'Should have two rows for header and data.'
        )
        done()
      })
      .catch(function(err) {
        console.error(err)
        done(err)
      })
  })
})
